Contact Us
  • Home
  • Documentation
  • Core Weather API
  • MinuteCastβ„’ API
  • Lightning API
  • Pricing
  • FAQ
Company
  • Proven Superior Accuracy
  • About AccuWeather
  • Digital Advertising
  • Careers
  • Press
  • Privacy
  • Terms of Use
  • Brand Guidelines
  • Privacy Settings
Products & Services
  • For Business
  • For Partners
  • For Advertising
  • AccuWeather Enterprise APIs
  • AccuWeather Connect
  • Personal Weather Stations
Subscription Services
  • AccuWeather Premium
  • AccuWeather Professional
Apps & Downloads
  • iPhone App
  • Android App
  • See all Apps & Downloads

Β© 2026 AccuWeather, Inc.

xXfacebookFacebookinstagramInstagram
Information
Forecast Lightning
    Geoposition
      πŸ”’ Lightning forecasts by latitude/longitudeget
Current Lightning
    Radius
      πŸ”’ Lightning strikes by time interval, latitude/longitude and distance radiusget
    Bounding Box
      πŸ”’ Lightning strikes by time interval and bounding boxget
Historical Lightning
    Radius
      πŸ”’ Historical daily lightning strikes by latitude/longitude and distance radiusget
Schemas
Lightning
Lightning

Geoposition


πŸ”’ Lightning forecasts by latitude/longitude

GET
https://dataservice.accuweather.com
/lightning/v1/forecasts/geoposition

Geographic coverage: Lightning forecasts are available within a defined North American coverage area. Supported coordinates must fall within latitude: 20.0 to 55.0 longitude: -130.0 to -60.0

πŸ”’ Lightning forecasts by latitude/longitude β€Ί query Parameters

q
​stringΒ Β·Β required

A string that identifies the central location from which to search. Provide the coordinates as latitude,longitude in decimal format.

Example: 40.779,-73.969

πŸ”’ Lightning forecasts by latitude/longitude β€Ί Headers

Authorization
​stringΒ Β·Β required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

πŸ”’ Lightning forecasts by latitude/longitude β€Ί Responses

OK

AccuWeather.API.Lightning.Entities.ForecastLightning
latitude
​numberΒ Β·Β float

The latitude of the location for which the lightning forecast is being provided.

longitude
​numberΒ Β·Β float

The longitude of the location for which the lightning forecast is being provided.

initDateTime
​string | nullΒ Β·Β date-time

The date and time when the lightning forecast was initialized.

​AccuWeather.API.Lightning.Entities.ForecastLightningProbability[]

A list of lightning forecast data points, each containing a date and the probability of lightning occurring at that time.

GET/lightning/v1/forecasts/geoposition
curl 'https://dataservice.accuweather.com/lightning/v1/forecasts/geoposition?q=<string>' \ --header 'Authorization: <api-key>'
Example Responses
{ "latitude": 0, "longitude": 0, "initDateTime": "2024-08-25T15:00:00Z", "forecasts": [ { "startDateTime": "2024-08-25T15:00:00Z", "startEpochTime": 0, "probability": 0 } ] }
json
application/json

Radius